.btn {
  border: 2px solid transparent;
  border-radius: 10px 10px 10px 0px;
  margin: 16px 0;
  padding: 8px 8px;

  &:hover {
    cursor: pointer;
  }

  &-default {
    background-color: $btn-default-bg;
    border-color: $btn-default-bg;
    color: $light-color;

    &:hover {
      background-color: $btn-hover;
      border-color: $btn-hover;
      color: $light-color;
    }
  }

  &-highlighted {
    background-color: $light-green;
    border-color: $btn-hover;
    color: $light-color;
  }

  &-transparent {
    background-color: transparent;
    float: right;
    margin: 0px 0px;
    padding: 0px 0px;
    width: auto;
  }

  &-flexible {
    width: auto;
  }
}
